<template>
<div class="app-layout">
    <header class="header-main">
        <nav class="header-main__navigation">
            <ul class="header-main__menu">
                <li class="header-main__menu-item">
                    <router-link to="/" active-class="header-main__menu-link_active" class="header-main__menu-link" exact>Home</router-link>
                </li>
                <li class="header-main__menu-item">
                    <router-link to="/about" active-class="header-main__menu-link_active" class="header-main__menu-link" exact>About</router-link>
                </li>
                <li class="header-main__menu-item">
                    <router-link to="/contacts" active-class="header-main__menu-link_active" class="header-main__menu-link" exact>Contacts</router-link>
                </li>
            </ul>
        </nav>
    </header>
    <main class="main-content">
        <router-view/>
    </main>
</div>
</template>

<script>
export default {
  name: 'app'
};
</script>

<style>
html, body {
	border: 0;
	font-family: "Helvetica-Neue", "Helvetica", Arial, sans-serif;
	line-height: 1.5;
    font-size: 100%;
	margin: 0;
	padding: 0;
    box-sizing: border-box;
}
a {
	text-decoration: none;
    color: black;
}
.header-main__navigation{
    background: rgb(200, 200, 200);
}
.header-main__menu{
    list-style: none;
    display: inline-block;
}
.header-main__menu-item{
    display: inline-block;
}
.header-main__menu-link{
    padding: 10px 20px;
}
.header-main__menu-link:hover{
    text-decoration: underline;
}
.header-main__menu-link_active{
    font-weight: bold;
    text-decoration: underline;
}
.main-content{
    margin: 20px;
}
</style>
